#ifndef BALL_H
#define BALL_H

#include <SFML\Graphics.hpp>

class CBall
{
public:
	CBall();

	void Render(sf::RenderWindow &rw);
	void Reset();
	bool IsAlive(){return m_bIsAlive;}
	void SetPosition(sf::Vector2f &Offset);
	void Update();
	bool CheckCollision(sf::IntRect &Rect);

	sf::Vector2f m_Position;
	sf::Vector2f m_Offset;

private:
	sf::Clock m_Clock;
	float m_fTime;
	sf::IntRect  m_BallRect;
	sf::Shape m_BallShape;
	bool m_bIsAlive;
};
#endif