#include "Game.h"

CGame::CGame()
{
	m_pPlayer = new CPonger(true);  //Spieler initialisieren
	m_pEnemy  = new CPonger(false); //Gegner  initialisieren
	m_pBall   = new CBall  ();		//Ball    initialisieren

	m_Clock.Reset();
}

void CGame::DrawAll(sf::RenderWindow &rw)
{
	m_pPlayer->Render(rw);
	m_pEnemy->Render(rw);
	m_pBall->Render(rw);
}

void CGame::Update(sf::Event &ev, sf::RenderWindow &rw)
{
	m_fTime=m_Clock.GetElapsedTime();
	m_Clock.Reset();
	m_pPlayer->Update(true, ev, rw, m_pBall);
	m_pEnemy->Update(false, ev, rw, m_pBall);
	m_pBall->Update();

	if((m_pBall->CheckCollision(m_pPlayer->m_PongerRect))||(m_pBall->CheckCollision(m_pEnemy->m_PongerRect)))
		m_pBall->m_Offset.x *= -1*m_fTime;
}